JDK1.3

Anonymous
2004-06-07
2004-06-09
  • Anonymous - 2004-06-07

    Hello, I'm with GlooLabs (http://gloolabs.com) and I want to use cyberlink to add UPnP AV support to the HomePod, a network media player.

    The HomePod runs J2ME CDC (Foundation Profile) so I had to do some tweaking to get it to run against the JDK1.3 networking API. It checks if the JDK1.4 classes are available, and uses them or falls back to a JDK1.3 based implementation.

    Also, there was a bug in service description loading when using the KXML parser.

    Would you be interested in moving this stuff into the main branch?

     
    • Satoshi Konno

      Satoshi Konno - 2004-06-09

      Hi Elliot,

      Thank for your effort :-)

      I would like to run the CyberLink on J2ME, but I had to remove the JDK1.4 functions for IPv6 support.

      I want to mearge your changes to the next release if you can.

      What version of the CyberLink did you change ? I will add your changes using diff utility.  Could I get the all changed sorce code ?

       

Log in to post a comment.